#ifndef CGROUND_H
#define CGROUND_H

// Irrlicht includes
#include <irrlicht/irrlicht.h>

using namespace irr;

using namespace core;
using namespace scene;
using namespace video;
using namespace io;
using namespace gui;

class CGround
{
    public:

        CGround(IrrlichtDevice *,int,int);
        ~CGround();

        // This is the ray-picking function
        // that determines what triangles the given
        // line intersects.
        bool Intersection(IrrlichtDevice *,line3df,int&,int&);

    private:

        int m_width;
        int m_height;

        IMeshSceneNode * m_node;
        ITriangleSelector * m_selector;
};

#endif
